Package Details: bin32-jre 8.u333-1

Git Clone URL: https://aur.archlinux.org/bin32-jre.git (read-only, click to copy)
Package Base: bin32-jre
Description: Oracle Java 8 Runtime Enviroment (32-bit) with desktop integration (GUI, sound)
Upstream URL: https://www.java.com/en/download/linux_manual.jsp
Keywords: bin32-jre8 bin32-jre8-oracle java32-openjfx java32-runtime-headless-jre java32-runtime-jre java32-web-start-jre jre8 jre8-oracle
Licenses: custom:Oracle-OTN
Provides: java32-openjfx, java32-runtime, java32-runtime-headless, java32-runtime-headless-jre, java32-runtime-jre, java32-web-start, java32-web-start-jre
Submitter: None
Maintainer: None
Last Packager: MarsSeed
Votes: 118
Popularity: 0.000001
First Submitted: 2008-07-26 00:56 (UTC)
Last Updated: 2022-06-02 04:23 (UTC)

Latest Comments

istepan commented on 2021-08-12 10:29 (UTC)

@ebiadsu yes, the problem was in the cache. Its OK now. Thank you!

ebiadsu commented on 2021-08-10 16:40 (UTC)

@von I included a $pgkrel in the source tarball filename like you suggested. Thank you for the suggestion.

von commented on 2021-08-10 14:15 (UTC) (edited on 2021-08-10 14:17 (UTC) by von)

You already declare a custom name for the downloaded file. Why not add a $pgkrel as well to avoid having to manually clean up the old blob on bumping the release number?

Something like:

 source=(
-  "${_pkgname}-${pkgver}-linux-i586.tar.gz::https://javadl.oracle.com/webapps/download/AutoDL?BundleId=${_bundleid}_${_hash}"
+  "${_pkgname}-${pkgver}-${pkgrel}-linux-i586.tar.gz::https://javadl.oracle.com/webapps/download/AutoDL?BundleId=${_bundleid}_${_hash}"
...

rafaelff commented on 2021-08-09 11:10 (UTC)

I had issue with my local cache and had to manually remove the tarball previously downloaded. After fixing the cache, package built without issue

ebiadsu commented on 2021-08-09 07:33 (UTC)

@istepan I can't reproduce you error. The integrity check are passing on my machine. Ist it possible that you have cached jre-8u301-linux-i586.tar.gz?

istepan commented on 2021-08-09 03:27 (UTC)

@ebiadsu sha256sum error.

==> Сборка пакета bin32-jre 8u301-3 (Пн 09 авг 2021 08:26:10)
==> Проверка зависимостей для запуска...
==> Проверка зависимостей для сборки...
==> Получение исходных файлов...
  -> Найден jre-8u301-linux-i586.tar.gz
  -> Найден jce_policy-8.zip
  -> Найден policytool32-jre8.desktop
==> Проверка файлов source с использованием sha256sums...
    jre-8u301-linux-i586.tar.gz ... СБОЙ
    jce_policy-8.zip ... Готово
    policytool32-jre8.desktop ... Готово
==> ОШИБКА: Исходные файлы не прошли проверку целостности!
Finished with result: exit-code
Main processes terminated with: code=exited/status=1
Service runtime: 1.871s
CPU time consumed: 1.946s
Ошибка: Не удалось собрать bin32-jre

ebiadsu commented on 2021-08-05 18:48 (UTC)

@istepan I have updated the package. It should work now. Please check.

istepan commented on 2021-08-05 10:27 (UTC) (edited on 2021-08-05 10:28 (UTC) by istepan)

java32 -version
java version "1.8.0_301"
Java(TM) SE Runtime Environment (build 1.8.0_301-b09)
Java HotSpot(TM) 64-Bit Server VM (build 25.301-b09, mixed mode)

This is not a 32 bit version. This caused my apps to stop working.

ebiadsu commented on 2020-09-30 11:35 (UTC)

@pbateman There is a new version of JCE policy. I have updated the package accordingly. Thank you for your report.

pbateman commented on 2020-09-30 10:04 (UTC)

Something up with JCE policy do we know? I can't upgrade for the past week...

:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
:: Starting full system upgrade...
 there is nothing to do
:: Starting AUR upgrade...
:: resolving dependencies...
:: looking for inter-conflicts...

AUR Packages  (1) bin32-jre-8u261-1

:: Proceed with installation? [Y/n] 
:: Retrieving package(s)...
clone complete: /tmp/pot/pacaur/bin32-jre
:: View bin32-jre PKGBUILD? [Y/n] n
:: View bin32-jre.install script? [Y/n] n
:: Checking bin32-jre integrity...
==> Making package: bin32-jre 8u261-1 (Wed 30 Sep 2020 10:19:17 BST)
==> Retrieving sources...
  -> Downloading jre-8u261-linux-i586.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                             Dload  Upload   Total   Spent    Left  Speed
100   915  100   915    0     0   2621      0 --:--:-- --:--:-- --:--:--  2614
100 85.9M  100 85.9M    0     0  26.8M      0  0:00:03  0:00:03 --:--:-- 33.5M
  -> Downloading jce_policy-8.zip...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   429  100   429    0     0    972      0 --:--:-- --:--:-- --:--:--   972
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100 12417  100 12417    0     0  22453      0 --:--:-- --:--:-- --:--:-- 22453
  -> Found policytool32-jre8.desktop
==> Validating source files with sha256sums...
    jre-8u261-linux-i586.tar.gz ... Passed
    jce_policy-8.zip ... FAILED
    policytool32-jre8.desktop ... Passed
==> ERROR: One or more files did not pass the validity check!
:: Preparing bin32-jre...
==> Making package: bin32-jre 8u261-1 (Wed 30 Sep 2020 10:19:23 BST)
==> WARNING: Skipping dependency checks.
==> Retrieving sources...
  -> Found jre-8u261-linux-i586.tar.gz
  -> Found jce_policy-8.zip
  -> Found policytool32-jre8.desktop
==> WARNING: Skipping all source file integrity checks.
==> Extracting sources...
  -> Extracting jre-8u261-linux-i586.tar.gz with bsdtar
  -> Extracting jce_policy-8.zip with bsdtar
==> Sources are ready.
:: failed to verify integrity or prepare bin32-jre package

ebiadsu commented on 2019-04-26 09:20 (UTC)

Currently Oracle has disabled automatic download of PSU release without an Oracle account (to my the best of my knowledge). CPU release can still be downloaded in a scripted fashion. Therefore starting with version v8u21X CPU releases will be used for this package. Please give feedback here, if PSU packages are needed.

ebiadsu commented on 2019-01-16 18:46 (UTC)

updated to 8u202. Package should build again.

kristianjgs commented on 2019-01-16 18:10 (UTC)

dont work

curl: (22) The requested URL returned error: 404 Not Found ==> ERROR: Failure while downloading http://download.oracle.com/otn-pub/java/jdk/8u192-b12/750e1c8617c5452694857ad95c3ee230/jre-8u192-linux-i586.tar.gz Aborting...

gandalf3 commented on 2015-06-01 19:21 (UTC)

That's... odd. I use yaourt. Why isn't it detecting the package..? Bug in yaourt? Oh well.. Thanks :)

Det commented on 2015-06-01 19:18 (UTC)

You need an AUR helper. Don't build with just makepkg: https://aur.archlinux.org/packages/java32-runtime-common/

gandalf3 commented on 2015-06-01 19:06 (UTC)

I get error: target not found: java32-runtime-common There doesn't seem to be any existing package for java32-runtime-common..

Det commented on 2015-03-03 23:16 (UTC)

You're not wrong. Fixed: 271b97a9b95d809a99999ec5fb74|40|3c # wrong 271b97a9b95d809a99999ec5fb74|31|3c # correct

wwinfrey commented on 2015-03-03 23:05 (UTC)

I might be wrong, but it appears that the md5sum specified for policytool32-jre8.desktop in the PKGBUILD: md5sums=('271b97a9b95d809a99999ec5fb74403c') does not match the actual md5sum of the policytool32-jre8.desktop file when it is extracted from the tarball: % md5sum policytool32-jre8.desktop 271b97a9b95d809a99999ec5fb74313c policytool32-jre8.desktop

Det commented on 2015-01-23 00:34 (UTC)

8u31-1: support "archlinux-java32". The location is now /usr/lib32/jvm/java32-8-jre/jre/.

rafaelff commented on 2014-12-27 08:18 (UTC)

Done. Just didn't bump the pkgrel, as I don't think it is necessary.

Det commented on 2014-12-24 15:43 (UTC)

Since makepkg 4.2.0, the DLAGENTS line can't have quotes around "oraclelicense=a": DLAGENTS=('http::/usr/bin/curl -LC - -b oraclelicense=a -O')

Det commented on 2014-10-26 18:56 (UTC)

Did you get my email?

Det commented on 2014-10-21 20:52 (UTC)

Support for 'archlinux-java', among other tweaks: http://www4.zippyshare.com/v/58783015/file.html

rafaelff commented on 2014-08-27 19:48 (UTC)

Changes in this package: 1- 'bin32-jre' now matches 'jre' version, so version 8 (currently); For version 7, see 'bin32-jre7' 2- Folder changed to /opt/java32/jre/

Det commented on 2014-05-16 18:23 (UTC)

Java 8 _is_ still held off from java.com exactly so that they can sort out most bugs, but since the non-bin32-jre (my version) is already at 8u5, this one should be too.

rustam commented on 2014-04-26 11:40 (UTC)

I was going to look into upgrading it to version 8 on the weekend, but I think I'll just orphan this package and let someone who is interested to adopt and maintain it. I don't use it myselft anymore, and at the moment don't have time for this.

rafaelff commented on 2014-04-22 19:49 (UTC)

Well, I can't tell how up-to-date is the information in java.com, but I notice the package 'jre' is already using java 8u5 (and it exists 'jre7' with version 7u55) and, for what is worth, here is some information: http://www.oracle.com/technetwork/java/javase/overview/index.html

rustam commented on 2014-04-22 19:35 (UTC)

According to http://www.java.com/en/download/faq/java8.xml Java 8 is still considered to be a development version.

rafaelff commented on 2014-04-22 18:36 (UTC)

Please update to version 8 and, if possible, provide a "bin32-jre7" with the current version

rustam commented on 2014-04-02 07:47 (UTC)

I've added a symlink from /opt/bin32-jre/lib/i386/libnpjp2.so to /usr/lib32/mozilla/plugins/libnpjp2.so into the package, so it don't need to be created manually. bin32-firefox detects it just fine.

rafaelff commented on 2014-04-01 15:56 (UTC)

Please create symlink /usr/lib32/mozilla/plugins/libnpjp2.so via PKGBUILD instead of relay on the end-user. Also, 32-bit libs should NEVER mix with 64-bit libs in /usr/lib/; always install them in /usr/lib32/.

rustam commented on 2014-03-31 12:17 (UTC)

this 32-bit java plugin won't work with a 64-bit firefox, but it should work with a 32-bit browser, e.g. aur/bin32-firefox .

g.schulz commented on 2014-03-29 11:33 (UTC)

Even after creating the symlink, the plugin does not show up in Firefox. Does anyone else have the same problem?

ivan_p commented on 2012-11-06 19:32 (UTC)

7u9: http://javadl.sun.com/webapps/download/AutoDL?BundleId=69467 8e17fa7b2152ab11f915c6936542cc12

commented on 2012-09-18 15:45 (UTC)

7u7 is out. Here is the updated PKGBUILD: http://pastebin.com/9xstuRFg There are some of the gnome commands that I dropped because I don't need them.

ivan_p commented on 2012-06-21 19:34 (UTC)

7u5 is out. Changes to canurabus PKGBUILD: source: http://javadl.sun.com/webapps/download/AutoDL?BundleId=64145 md5: 1b342c588e24edf6dbbc5029d154e00d

canurabus commented on 2012-05-25 23:51 (UTC)

PKGBUILD for updated version: http://pastebin.com/sQwEhUE5 I used Doctor_Drive's PKGBUILD and changed the url since Oracle seems to have changed up its site

rtimush commented on 2012-01-27 08:15 (UTC)

I disagree, 32bit plugin is required for 32bit browsers.

Doctor_Drive commented on 2011-12-23 19:10 (UTC)

I would suggest making the PKGBUILD like this http://pastebin.ws/f2vo5o I would not suggest installing the launchers and and Mozilla plugin because they have to come from 64bit jre.

Doctor_Drive commented on 2011-12-23 18:54 (UTC)

You have forgotten to make the paths like /opt/bin32-jre/ instead of /opt/java/jre which conflicts with oracle jre